#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "ofxOpenCv.h"
#include "particle.h"
#include "spring.h"

#define _USE_LIVE_VIDEO		// uncomment this to use a live camera


class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		// let's make a vector of them
		ofImage img;
		vector< vector<float> > texCoords;
		vector < vector<particle> > blobs;
		vector < vector<spring> > blobsprings;
		 
		//AUDIO
		void audioReceived 	(float * input, int bufferSize, int nChannels); 
		
		float * left;
		float * right;
		int 	bufferCounter;
		int 	drawCounter;
	
		float soundIn;
};

#endif
	
